Mailinglist Archive: opensuse-updates (127 mails)

< Previous Next >
openSUSE-RU-2017:2609-1: Recommended update for tigervnc
openSUSE Recommended Update: Recommended update for tigervnc
______________________________________________________________________________

Announcement ID: openSUSE-RU-2017:2609-1
Rating: low
References: #1041847 #1053373 #1054300
Affected Products:
openSUSE Leap 42.3
______________________________________________________________________________

An update that has three recommended fixes can now be
installed.

Description:

This update for tigervnc provides the following fixes:

- Fix race problem when detecting listening inetd sockets. (bsc#1054300)
- Fix certificate handling in the Java client. (bsc#1041847)
- Make sure CN in generated certificate doesn't exceed 64 characters.
(bsc#1041847)
- Change with-vnc-key.sh to generate TLS certificate using current
hostname to keep it short. (bsc#1041847)
- Disable MIT-SHM extension when running under user "vnc". (bsc#1053373)

This update was imported from the SUSE:SLE-12-SP2:Update update project.


Patch Instructions:

To install this openSUSE Recommended Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE Leap 42.3:

zypper in -t patch openSUSE-2017-1105=1

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE Leap 42.3 (i586 x86_64):

libXvnc-devel-1.6.0-21.1
libXvnc1-1.6.0-21.1
libXvnc1-debuginfo-1.6.0-21.1
tigervnc-1.6.0-21.1
tigervnc-debuginfo-1.6.0-21.1
tigervnc-debugsource-1.6.0-21.1
xorg-x11-Xvnc-1.6.0-21.1
xorg-x11-Xvnc-debuginfo-1.6.0-21.1


References:

https://bugzilla.suse.com/1041847
https://bugzilla.suse.com/1053373
https://bugzilla.suse.com/1054300


< Previous Next >
This Thread
  • No further messages